Subject: Re: [PATCH] setup.exe: removes some memory leaks from fromcwd.cc
From: Robert Collins <[email-masked]>
To: Pavel Tsekov <[email-masked]>
Cc: [email-masked]
Date: 03 Nov 2001 10:58:39 +1100

On Sat, 2001-11-03 at 03:39, Pavel Tsekov wrote:
> Hey guys ;)
> 
> It seems there are a lot of memory leaks in setup.exe :) The
> patch above fixes just two very obvious ones - however there
> seems to be a lot more of these. So I want  to know - am I blind
> or there is some black magic which frees the memroy:
> 
> For example:
> 
> I cannot see where the "package" global variable is free-ed,

I don't think it ever is, so clicking back and forward across the
setup.ini parse (occurs just before the package list shows up) should
result in continual memory use increases.

> other thing I cannot see to be free-ed is the char pointers
> from the "Info" structure which is part of the "Package" structure.

IIRC these are static pointers into the inmemory Inifile. I could easily
be wrong though.

> Perhaps there are more... If this really is a problem and I'm not
> blind, i'd like to help finding and eliminating these memory
> leaks from setup.exe.

Feel free. As usual, give me a changelog and a patch :].

I haven't committed this leak - no changelog.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/